# -*- rpm-spec -*-
# $Id: perl-X-Osd,v 1.1 2004/04/17 14:44:43 grigory Exp $

%define _without_test 1
%define realname X-Osd

Name:    perl-%realname
Version: 0.7
Release: alt2.1

Summary: Perl extension to the X On Screen Display library (xosd)
License: GPL
Group:   Development/Perl
Url:     http://search.cpan.org/~gozer/

Source:  %url/%realname-%version.tar.gz
AutoReqProv: perl, yes

# Automatically added by buildreq on Sat Apr 17 2004
BuildRequires: xorg-libs libxosd-devel perl-devel

%description
XOSD displays text on your screen, sounds simple right? The difference
is it is unmanaged and shaped, so it appears transparent. This gives the
effect of an On Screen Display, like your TV/VCR etc..
It currently supports 3 type of writes, string for simple text, printf
formatted text, slider and percentage display.

%prep
%setup -q -n %realname-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes SIGNATURE
%perl_vendor_archlib/X
%perl_vendor_autolib/X

%changelog
* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 0.7-alt2.1
- rebuilt with perl 5.12

* Mon Jun 30 2008 Grigory Milev <week@altlinux.ru> 0.7-alt2
- fix build requires

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Sat Apr 17 2004 Grigory Milev <week@altlinux.ru> 0.7-alt1
- Initial build for ALT Linux.

